<%
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what room reservations have occurred for a specific date (month/day/year).   #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<dayReservation>
'#		<room>101</room>						-> Room number of room reservation.
'#		<eventTitle>Lan Party</eventTitle>				-> Title of the room reservation.
'#		<organizationName>ABC Corporation</organizationName>		-> Organization name associated to the room reservation.  If this contains the text "Hyperlink" eventTitle will be the text of the link and eventDescription will be the URL.
'#		<eventDescription>Awesome LAN.</eventDescription>		-> Details of the room reservation.
'#		<eventTimeGrid>8:30AM</eventTimeGrid>				-> Time grid that the room reservation occupies.
'#		<eventStatus>approved</eventStatus>				-> Status.  "approved", "pending", "denied".  Only return "approved" and "pending" to the visitor.
'#	</dayReservation>

'##### ASSIGN FORM DATA
dim month, day, year
month = 0 : day = 0 : year = 0
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/") 
	month = fullDateInfo(0)
	day = fullDateInfo(1)
	year = fullDateInfo(2)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND ROOM RESERVATION DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
%>
<?xml version="1.0" encoding="utf-8"?>
<parameters>
	<dayReservation>
		<room>101</room>
		<eventTitle>Lan Party</eventTitle>
		<organizationName>ABC Corporation</organizationName>
		<eventDescription>Awesome LAN.</eventDescription>
		<eventTimeGrid>8:30AM</eventTimeGrid>
		<eventStatus>approved</eventStatus>
	</dayReservation>
	<dayReservation>
		<room>106</room>
		<eventTitle>Safety Brief</eventTitle>
		<organizationName>Fire Department</organizationName>
		<eventDescription>Let's talk about fire extinguishers.</eventDescription>
		<eventTimeGrid>8:30AM</eventTimeGrid>
		<eventStatus>approved</eventStatus>
	</dayReservation>
	<dayReservation>
		<room>103</room>
		<eventTitle>COMP1013552871</eventTitle>
		<organizationName>Course</organizationName>
		<eventDescription>Learn about computers.</eventDescription>
		<eventTimeGrid>12:30AM</eventTimeGrid>
		<eventStatus>approved</eventStatus>
	</dayReservation>
	<dayReservation>
		<room>104</room>
		<eventTitle>Training</eventTitle>
		<organizationName>IT</organizationName>
		<eventDescription>Talk of the new iAcinposh.</eventDescription>
		<eventTimeGrid>3:30PM</eventTimeGrid>
		<eventStatus>approved</eventStatus>
	</dayReservation>
	<dayReservation>
		<room>101</room>
		<eventTitle>Finance</eventTitle>
		<organizationName>Money Corp</organizationName>
		<eventDescription>$ talk on money.</eventDescription>
		<eventTimeGrid>10:30AM</eventTimeGrid>
		<eventStatus>pending</eventStatus>
	</dayReservation>
	<dayReservation>
		<room>104</room>
		<eventTitle>Meeting Notes</eventTitle>
		<organizationName>Hyperlink</organizationName>
		<eventDescription>/somefolder/somepage.html</eventDescription>
		<eventTimeGrid>10:30AM</eventTimeGrid>
		<eventStatus>approved</eventStatus>
	</dayReservation>
</parameters>
