#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends what room reservations have occurred for a specific date (month/day/year).   #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<dayReservation>
#		<room>101</room>						-> Room number of room reservation.
#		<eventTitle>Lan Party</eventTitle>				-> Title of the room reservation.
#		<organizationName>ABC Corporation</organizationName>		-> Organization name associated to the room reservation.  If this contains the text "Hyperlink" eventTitle will be the text of the link and eventDescription will be the URL.
#		<eventDescription>Awesome LAN.</eventDescription>		-> Details of the room reservation.
#		<eventTimeGrid>8:30AM</eventTimeGrid>				-> Time grid that the room reservation occupies.
#		<eventStatus>approved</eventStatus>				-> Status.  "approved", "pending", "denied".  Only return "approved" and "pending" to the visitor.
#	</dayReservation>

##### GET FORM DATA
read(STDIN, $myaction, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $myaction); 
foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/<([^>]|\n)*>//g;
			$FORM{$name} = $value;
                       }

##### ASSIGN FORM DATA
$month = 0; $day = 0; $year = 0;
@fullDateInfo = split(/\//, $FORM{'date'});
$month = $fullDateInfo[0];
$day = $fullDateInfo[1];
$year = $fullDateInfo[2];

##### FILTER FORM DATA

##### MAKE DATABASE CALL TO GET DATA TO SEND

##### SEND ROOM RESERVATION DATA FOR THE DATE SPECIFIED
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<dayReservation>\n";
print "		<room>101</room>\n";
print "		<eventTitle>Lan Party</eventTitle>\n";
print "		<organizationName>ABC Corporation</organizationName>\n";
print "		<eventDescription>Awesome LAN.</eventDescription>\n";
print "		<eventTimeGrid>8:30AM</eventTimeGrid>\n";
print "		<eventStatus>approved</eventStatus>\n";
print "	</dayReservation>\n";
print "	<dayReservation>\n";
print "		<room>106</room>\n";
print "		<eventTitle>Safety Brief</eventTitle>\n";
print "		<organizationName>Fire Department</organizationName>\n";
print "		<eventDescription>Let's talk about fire extinguishers.</eventDescription>\n";
print "		<eventTimeGrid>8:30AM</eventTimeGrid>\n";
print "		<eventStatus>approved</eventStatus>\n";
print "	</dayReservation>\n";
print "	<dayReservation>\n";
print "		<room>103</room>\n";
print "		<eventTitle>COMP1013552871</eventTitle>\n";
print "		<organizationName>Course</organizationName>\n";
print "		<eventDescription>Learn about computers.</eventDescription>\n";
print "		<eventTimeGrid>12:30AM</eventTimeGrid>\n";
print "		<eventStatus>approved</eventStatus>\n";
print "	</dayReservation>\n";
print "	<dayReservation>\n";
print "		<room>104</room>\n";
print "		<eventTitle>Training</eventTitle>\n";
print "		<organizationName>IT</organizationName>\n";
print "		<eventDescription>Talk of the new iAcinposh.</eventDescription>\n";
print "		<eventTimeGrid>3:30PM</eventTimeGrid>\n";
print "		<eventStatus>approved</eventStatus>\n";
print "	</dayReservation>\n";
print "	<dayReservation>\n";
print "		<room>101</room>\n";
print "		<eventTitle>Finance</eventTitle>\n";
print "		<organizationName>Money Corp</organizationName>\n";
print "		<eventDescription>\$ talk on money.</eventDescription>\n";
print "		<eventTimeGrid>10:30AM</eventTimeGrid>\n";
print "		<eventStatus>pending</eventStatus>\n";
print "	</dayReservation>\n";
print "	<dayReservation>\n";
print "		<room>104</room>\n";
print "		<eventTitle>Meeting Notes</eventTitle>\n";
print "		<organizationName>Hyperlink</organizationName>\n";
print "		<eventDescription>/somefolder/somepage.html</eventDescription>\n";
print "		<eventTimeGrid>10:30AM</eventTimeGrid>\n";
print "		<eventStatus>approved</eventStatus>\n";
print "	</dayReservation>\n";
print "</parameters>";

exit;