<?php
/*
######################################################################################
# jsModusCalendar Handler							     #
# Sends what form fields used in room and note (or event) panes are required	     #
# to be completed.								     #
######################################################################################
*/

/*
##### RESPONSE XML STREAM MEANING
#	<config>
#		<calendarFrmPath>Reserved</calendarFrmPath>			-> Not used yet.
#		<calendarFirstName>1</calendarFirstName>			-> Set to 1 to make "first name" field visible and required for user completion.
#		<calendarLastName>1</calendarLastName>				-> Set to 1 to make "last name" field visible and required for user completion.
#		<calendarEmail>1</calendarEmail>				-> Set to 1 to make "email" field visible and required for user completion.
#		<calendarOrganizationName>1</calendarOrganizationName>		-> Set to 1 to make "organization name" field visible and required for user completion.
#		<calendarEventTitle>1</calendarEventTitle>			-> Set to 1 to make "event field" field visible and required for user completion.
#		<calendarEventRoomRecur>0</calendarEventRoomRecur>		-> Set to 1 to make recurring event date selection visible for user completion for room reservations.
#		<calendarEventDescription>1</calendarEventDescription>		-> Set to 1 to make "event description" field visible and required for user completion.
#	</config>
*/

/*
##### SEND FORM CONFIGURATION DATA
*/
header("Content-type: text/xml");
print "<" . "?" . "xml version=\"1.0\" encoding=\"utf-8\"" . "?" . ">\r\n";
print "<parameters>\r\n";
print "	<config>\r\n";
print "		<calendarFrmPath>Reserved</calendarFrmPath>\r\n";
print "		<calendarFirstName>1</calendarFirstName>\r\n";
print "		<calendarLastName>1</calendarLastName>\r\n";
print "		<calendarEmail>1</calendarEmail>\r\n";
print "		<calendarOrganizationName>1</calendarOrganizationName>\r\n";
print "		<calendarEventTitle>1</calendarEventTitle>\r\n";
print "		<calendarEventRoomRecur>0</calendarEventRoomRecur>\r\n";
print "		<calendarEventDescription>1</calendarEventDescription>\r\n";
print "	</config>\r\n";
print "</parameters>";
?>